- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/projects.locations.services/exportMetadata#try-it)

Exports metadata from a service.

### HTTP request

`POST https://metastore.googleapis.com/v1beta/{service}:exportMetadata`

### Path parameters

| Parameters ||
|---|---|
| `service` | `string` Required. The relative resource name of the metastore service to run export, in the following form: `projects/{projectId}/locations/{locationId}/services/{serviceId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `service`: - `metastore.services.export` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestId": string, "databaseDumpType": enum (`https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/Type`), // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "destinationGcsFolder": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `requestId` | `string` Optional. A request ID. Specify a unique request ID to allow the server to ignore the request if it has completed. The server will ignore subsequent requests that provide a duplicate request ID for at least 60 minutes after the first request. For example, if an initial request times out, followed by another request with the same request ID, the server ignores the second request to prevent the creation of duplicate commitments. The request ID must be a valid [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier#Format). A zero UUID (00000000-0000-0000-0000-000000000000) is not supported. |
| `databaseDumpType` | ``enum (`https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1beta/Type`)`` Optional. The type of the database dump. If unspecified, defaults to `MYSQL`. |
| Required. Destination that metadata is exported to. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `destinationGcsFolder` | `string` A Cloud Storage URI of a folder, in the format `gs://<bucket_name>/<path_inside_bucket>`. A sub-folder `<export_folder>` containing exported files will be created below it. |
| End of mutually exclusive fields. ||

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/Shared.Types/ListOperationsResponse#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).